
//*************************************************************************
//
//	SWinHi.CPP -- A Simple "Hello World!" Program for Win 2000/XP
//
//	Comments Copyright(c)2004 by Daniel B. Sedory    20 MAR 2004.
//
//             < http://www.geocities.com/thestarman3/C/ >
//*************************************************************************


#include <windows.h>

const char g_szClassName[] = "TSRwinClass";     // Could be anything, but
						// we'll use this for our
				// "Window Class" in this simple program.

// The Window Procedure

LRESULT CALLBACK WndProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
    switch(msg)
    {
        case WM_CLOSE:
            DestroyWindow(hwnd);
        break;

        case WM_DESTROY:
            PostQuitMessage(0);
        break;

        default:
            return DefWindowProc(hwnd, msg, wParam, lParam);
    }

    return 0;
}



//   *** This is where the program actually begins: ***
//   Look for this line when you run it Turbo Debugger!

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
    LPSTR lpCmdLine, int nCmdShow)
{
    WNDCLASSEX wc;
    HWND hwnd;
    MSG Msg;


 // Registering our "Window Class" (Remember, this is not a "C++ class" !)

    wc.cbSize        = sizeof(WNDCLASSEX);
    wc.style         = 0;
    wc.lpfnWndProc   = WndProc;
    wc.cbClsExtra    = 0;
    wc.cbWndExtra    = 0;
    wc.hInstance     = hInstance;
    wc.hIcon         = LoadIcon(NULL, IDI_APPLICATION);
    wc.hCursor       = LoadCursor(NULL, IDC_ARROW);
    wc.hbrBackground = (HBRUSH)(COLOR_WINDOW+1);
    wc.lpszMenuName  = NULL;
    wc.lpszClassName = g_szClassName;	// Here's where our "Window Class"
					//   is used in the program.

    wc.hIconSm       = LoadIcon(NULL, IDI_APPLICATION);

    if(!RegisterClassEx(&wc))
    {
        MessageBox(NULL, "Window Registration Failure!", "Error!",
            MB_ICONEXCLAMATION | MB_OK);

        return 0;
    }


 // Creating the Window.   Note: the two numbers here are the width and
 //                        height of the window when created; in pixels.


    hwnd = CreateWindowEx(
        WS_EX_CLIENTEDGE,
        g_szClassName,
        "Simple \" Hello World ! \" Window",      // Our Window title!
        WS_OVERLAPPEDWINDOW,
        CW_USEDEFAULT, CW_USEDEFAULT, 360, 280,   // X, Y, Width, Height.

        NULL, NULL, hInstance, NULL);

    if(hwnd == NULL)
    {
        MessageBox(NULL, "Window Creation Failure!", "Error!",
            MB_ICONEXCLAMATION | MB_OK);

        return 0;
    }

    ShowWindow(hwnd, nCmdShow);   // This function displays the window.
    UpdateWindow(hwnd);


 // The MESSAGE LOOP runs here:

    while(GetMessage(&Msg, NULL, 0, 0) > 0)
    {
        TranslateMessage(&Msg);
        DispatchMessage(&Msg);
    }

    return Msg.wParam;
}

